# Intel® Enhanced Privacy ID SDK: epid/common/sigrlvalid.c File Reference

sigrlvalid.c File Reference

SigRl validity checking implementation. More...

`#include <string.h>`
`#include "epid/common/endian_convert.h"`
`#include "epid/common/sigrlvalid.h"`

## Functions

bool | IsSigRlValid (GroupId const *gid, SigRl const *sig_rl, size_t sig_rl_size)
| Function to verify if signature based revocation list is valid. More...

## Detailed Description

SigRl validity checking implementation.